// Sentry
if (typeof Raven !== "undefined") {
    if (typeof customerConfig !== "undefined" && customerConfig.sentryUri && typeof tsfVersionNumber !== "undefined") {
        Raven.config(customerConfig.sentryUri, {
            release: tsfVersionNumber,
            dataCallback: function (data) {
                var normalize = function (filename) { return filename.split('/www/', 2)[1]; };
                if (data.exception) {
                    data.exception.values[0].stacktrace.frames.forEach(function (frame) {
                        frame.filename = normalize(frame.filename);
                    });
                    data.culprit = data.exception.values[0].stacktrace.frames[0].filename;
                }
                return data;
            }
        }).install();
    }
}
