var Cube;
(function (Cube) {
    var CubeValue = /** @class */ (function () {
        function CubeValue() {
        }
        return CubeValue;
    }());
    Cube.CubeValue = CubeValue;
    var Dimension = /** @class */ (function () {
        function Dimension() {
            this.childDimensions = [];
        }
        return Dimension;
    }());
    Cube.Dimension = Dimension;
    var CubeRow = /** @class */ (function () {
        function CubeRow() {
            /**
             * Contains the values of all row dimensions that apply to this CubeRow.
             */
            this.rowValues = new Collections.List();
            /**
             * Contains the values of all column dimensions that apply to this CubeRow.
             */
            this.colValues = new Collections.List();
        }
        return CubeRow;
    }());
    Cube.CubeRow = CubeRow;
    var CubeModel = /** @class */ (function () {
        function CubeModel(obj, cubeView) {
            /**
             * The dimensions that have been set to row.
             */
            this.rows = new Collections.List();
            /**
             * The dimensions that have been set to column.
             */
            this.columns = new Collections.List();
            /**
             * The values of a cube
             */
            this.values = new Collections.List();
            if (obj.cube) {
                // Save the selected cubeView.
                this.cubeView = cubeView;
                // Loop through all cubeViewFields and determine their purpose.
                var cubeViewFields = this.cubeView.cubeViewFields.array;
                for (var g = 0; g < cubeViewFields.length; g++) {
                    var cubeViewField = cubeViewFields[g];
                    var cubeViewFieldCubeField = cubeViewField.cubeField;
                    this.chartType = this.cubeView.chartType;
                    if (cubeViewFieldCubeField.fieldType == Model.CubeFieldType.Measure) {
                        if (cubeViewField.cubeArea == Model.CubeArea.Data) {
                            this.values.add(cubeViewFieldCubeField.cubeFieldId, obj.objProps.object[cubeViewFieldCubeField.cubeFieldId]);
                        }
                    }
                    if (cubeViewFieldCubeField.fieldType == Model.CubeFieldType.Dimension) {
                        if (cubeViewField.cubeArea == Model.CubeArea.Row) {
                            this.rows.add(cubeViewFieldCubeField.cubeFieldId, obj.objProps.object[cubeViewFieldCubeField.cubeFieldId]);
                        }
                        else if (cubeViewField.cubeArea == Model.CubeArea.Column) {
                            this.columns.add(cubeViewFieldCubeField.cubeFieldId, obj.objProps.object[cubeViewFieldCubeField.cubeFieldId]);
                        }
                    }
                }
            }
        }
        return CubeModel;
    }());
    Cube.CubeModel = CubeModel;
})(Cube || (Cube = {}));
