var ModelFillHelper = /** @class */ (function () {
    function ModelFillHelper() {
        this.objLinks = {};
        this.taskLinks = {};
        this.fonts = {};
        this.objViews = {};
        this.taskViews = {};
        this.processFlow = {};
        this.containsCubes = false;
        this.containsProcessFlow = false;
        this.translationList = {};
    }
    ModelFillHelper.prototype.findTranslation = function (id, objectType) {
        var list = this.translationList[objectType];
        if (!list) {
            list = this.translationList[objectType] = [];
        }
        for (var i = 0; i < list.length; i++) {
            var value = list[i];
            if (value.id == id) {
                return value;
            }
        }
        var unknownTransl = new UITranslation(id);
        var rawTransl = "[" + id + "]";
        unknownTransl.transl = rawTransl;
        unknownTransl.translForm = rawTransl;
        unknownTransl.translGrid = rawTransl;
        unknownTransl.translPlural = rawTransl;
        this.translationList[objectType].push(unknownTransl);
        return unknownTransl;
    };
    return ModelFillHelper;
}());
