var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var LayoutEventArgs = /** @class */ (function () {
    function LayoutEventArgs(layoutState) {
        this.layoutState = layoutState;
    }
    return LayoutEventArgs;
}());
var ContextEventArgs = /** @class */ (function () {
    function ContextEventArgs(contextState) {
        this.contextState = contextState;
    }
    return ContextEventArgs;
}());
var DataSetEventArgs = /** @class */ (function () {
    function DataSetEventArgs(dataset) {
        this.dataset = dataset;
        this.pageIndex = -1;
    }
    return DataSetEventArgs;
}());
var DataRowValuesEventArgs = /** @class */ (function () {
    function DataRowValuesEventArgs(values) {
        this.values = values;
    }
    return DataRowValuesEventArgs;
}());
var LookupsetChangedEventArgs = /** @class */ (function () {
    function LookupsetChangedEventArgs(lookupSet) {
        this.lookupSet = lookupSet;
    }
    return LookupsetChangedEventArgs;
}());
var ProcessActionCompletedArgs = /** @class */ (function () {
    function ProcessActionCompletedArgs(processAction) {
        this.processAction = processAction;
    }
    return ProcessActionCompletedArgs;
}());
var ControllerEvents = /** @class */ (function (_super) {
    __extends(ControllerEvents, _super);
    function ControllerEvents() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ControllerEvents.prototype.layoutChanged = function (listener) {
        this.on("layoutChanged", listener);
    };
    ControllerEvents.prototype.emitLayoutChanged = function (args) {
        this.emit("layoutChanged", args);
    };
    ControllerEvents.prototype.contextChanged = function (listener) {
        this.on("contextChanged", listener);
    };
    ControllerEvents.prototype.emitContextChanged = function (args) {
        this.emit("contextChanged", args);
    };
    ControllerEvents.prototype.datasetInvalidated = function (listener) {
        this.on("datasetInvalidated", listener);
    };
    ControllerEvents.prototype.emitDatasetInvalidated = function (args) {
        this.emit("datasetInvalidated", args);
    };
    ControllerEvents.prototype.datasetChanged = function (listener) {
        this.on("datasetChanged", listener);
    };
    ControllerEvents.prototype.emitDatasetChanged = function (args) {
        this.emit("datasetChanged", args);
    };
    ControllerEvents.prototype.controllerInitialized = function (listener) {
        this.on("controllerInitialized", listener);
    };
    ControllerEvents.prototype.emitControllerInitialized = function (args) {
        this.emit("controllerInitialized", args);
    };
    ControllerEvents.prototype.rowIndexChanged = function (listener) {
        this.on("rowIndexChanged", listener);
    };
    ControllerEvents.prototype.emitRowIndexChanged = function () {
        this.emit("rowIndexChanged", null);
    };
    ControllerEvents.prototype.dataRowValuesChanged = function (listener) {
        this.on("dataRowValuesChanged", listener);
    };
    ControllerEvents.prototype.emitDataRowValuesChanged = function (args) {
        this.emit("dataRowValuesChanged", args);
    };
    ControllerEvents.prototype.editmodeChanged = function (listener) {
        this.on("editmodeChanged", listener);
    };
    ControllerEvents.prototype.emitEditmodeChanged = function (args) {
        this.emit("editmodeChanged", args);
    };
    ControllerEvents.prototype.rowSaved = function (listener) {
        this.on("rowSaved", listener);
    };
    ControllerEvents.prototype.emitrowSaved = function (args) {
        this.emit("rowSaved", args);
    };
    ControllerEvents.prototype.lookupsetChanged = function (listener) {
        this.on("lookupsetChanged", listener);
    };
    ControllerEvents.prototype.emitLookupsetChanged = function (args) {
        this.emit("lookupsetChanged", args);
    };
    ControllerEvents.prototype.becameDirtyBySync = function (listener) {
        this.on("becameDirtyBySync", listener);
    };
    ControllerEvents.prototype.emitBecameDirtyBySync = function (args) {
        this.emit("becameDirtyBySync", args);
    };
    ControllerEvents.prototype.processActionCompleted = function (listener) {
        this.on("processActionCompleted", listener);
    };
    ControllerEvents.prototype.emitProcessActionCompleted = function (args) {
        this.emit("processActionCompleted", args);
    };
    return ControllerEvents;
}(TSFEventEmitter));
