var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = y[op[0] & 2 ? "return" : op[0] ? "throw" : "next"]) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [0, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
jQuery(document).on("pagebeforeshow", "#changePassword", function () {
    return __awaiter(this, void 0, void 0, function () {
        var $page, $header, $backButton, action, color, language;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    $page = jQuery(this);
                    $header = $page.children("div[data-role='header']");
                    $backButton = jQuery($header).find("a.back-button");
                    action = $page.data("url").split("?")[1].replace("action=", "");
                    // Make sure that the height of the main div is set. Otherwise scrolling on iOS doesn't work.
                    $page.one("pageshow", function () {
                        var height = window.innerHeight;
                        height -= $header.outerHeight();
                        $page.find(".content-panel").css("height", height + "px");
                    });
                    color = Utils.Color.hexToColor(jQuery("a.back-button").css("color"));
                    Utils.SetIconBlackOrWhite(jQuery("a.back-button"), color);
                    if (!(action === "resetPassword")) return [3 /*break*/, 2];
                    language = AppConfig.language;
                    return [4 /*yield*/, new ForgotPasswordForm($page, language).initialize(false)];
                case 1:
                    _a.sent();
                    return [3 /*break*/, 4];
                case 2:
                    language = Model.TSFApplicationManager.Current.activeAppl.language;
                    return [4 /*yield*/, new ChangePasswordForm($page, language).initialize(true)];
                case 3:
                    _a.sent();
                    _a.label = 4;
                case 4:
                    $backButton.text(language.transl(Model.TranslKeys.back));
                    return [2 /*return*/];
            }
        });
    });
});
var PasswordModifyingForm = /** @class */ (function () {
    function PasswordModifyingForm($page, language) {
        this.$page = $page;
        this.language = language;
        this.$panel = $page.find(".content-panel");
        this.$panel.find(".username-label").text(language.transl(Model.TranslKeys.user) + ":");
        this.$panel.find(".current-password-label").text(language.transl(Model.TranslKeys.currentPassword) + ":");
        this.$panel.find(".new-password-label").text(language.transl(Model.TranslKeys.newPassword) + ":");
        this.$panel.find(".repeat-new-password-label").text(language.transl(Model.TranslKeys.repeatNewPassword) + ":");
        this.$panel.find(".submit-button").text(language.transl(Model.TranslKeys.save));
    }
    PasswordModifyingForm.prototype.initialize = function (useAuthentication) {
        return __awaiter(this, void 0, void 0, function () {
            var metaServiceURL, apiIndex, baseURL, user;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, AppConfig.getMetaServiceURL()];
                    case 1:
                        metaServiceURL = _a.sent();
                        apiIndex = metaServiceURL.indexOf("/api");
                        baseURL = metaServiceURL.substring(0, apiIndex + 1);
                        if (useAuthentication) {
                            user = Model.TSFApplicationManager.Current.user;
                            this.oDataClient = new OData.ODataClient(baseURL, user.username, user.password);
                        }
                        else {
                            this.oDataClient = new OData.ODataClient(baseURL);
                        }
                        return [2 /*return*/];
                }
            });
        });
    };
    PasswordModifyingForm.prototype.onChangedSuccess = function (disposeApplication) {
        if (disposeApplication === void 0) { disposeApplication = false; }
        function navigateToLogin() {
            jQuery.mobile.pageContainer.pagecontainer("change", jQuery("#login"), { reverse: true });
        }
        Utils.hideLoader();
        if (disposeApplication) {
            Model.TSFApplicationManager.Current.dispose(true);
            navigateToLogin();
            return;
        }
        var popup = ConfirmationPopup.CreateOkPopup();
        popup.initialize("", this.language.transl(Model.TranslKeys.passwordChanged)).always(function () {
            navigateToLogin();
        });
    };
    PasswordModifyingForm.prototype.onChangedError = function () {
        Utils.hideLoader();
    };
    return PasswordModifyingForm;
}());
var ForgotPasswordForm = /** @class */ (function (_super) {
    __extends(ForgotPasswordForm, _super);
    function ForgotPasswordForm() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ForgotPasswordForm.prototype.initialize = function (useAuthentication) {
        return __awaiter(this, void 0, void 0, function () {
            var _this = this;
            var header, $username, $resetToken, $resetTokenWrapper, $newPassword, $repeatedPassword, $requestResetButton, $submitButton, $resetTokenSent, $error, $usernameWrapper, $newPasswordWrapper, $repeatedPasswordWrapper;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, _super.prototype.initialize.call(this, useAuthentication)];
                    case 1:
                        _a.sent();
                        header = this.$page.children("div[data-role='header']");
                        header.children("h1").text(this.language.transl(Model.TranslKeys.resetPassword));
                        $username = this.$panel.find("#username");
                        $resetToken = this.$panel.find("#reset-token").text(this.language.transl(Model.TranslKeys.resetToken));
                        $resetTokenWrapper = $resetToken.parent().parent();
                        $newPassword = this.$panel.find("#new-password");
                        $repeatedPassword = this.$panel.find("#repeat-new-password");
                        $requestResetButton = this.$panel.find(".request-reset-button").show();
                        $submitButton = this.$panel.find(".submit-button").hide();
                        $resetTokenSent = this.$panel.find("#reset-token-sent").text(this.language.transl(Model.TranslKeys.resetTokenSent));
                        $error = this.$panel.find("#error");
                        $usernameWrapper = $username.parent().parent().show();
                        $newPasswordWrapper = $newPassword.parent().parent().hide();
                        $repeatedPasswordWrapper = $repeatedPassword.parent().parent().hide();
                        //Handle username input and submittal
                        $username.keyup(function () {
                            if ($username.val() === "") {
                                $requestResetButton.addClass("ui-disabled");
                                return;
                            }
                            $requestResetButton.removeClass("ui-disabled");
                        });
                        $requestResetButton.click(function () {
                            Utils.showLoader();
                            _this.oDataClient.invoke("$sendPasswordResetToken?usr_id=" + $username.val(), "GET", null, function (reader, status) {
                                if (status.requestSuccess) {
                                    Utils.hideLoader();
                                    $requestResetButton.hide();
                                    $usernameWrapper.hide();
                                    $resetTokenSent
                                        .add($resetTokenWrapper)
                                        .add($newPasswordWrapper)
                                        .add($repeatedPasswordWrapper)
                                        .add($submitButton)
                                        .show();
                                    return;
                                }
                                _super.prototype.onChangedError.call(_this);
                            });
                        });
                        //Handle reset token and new password input and submittal
                        $resetToken.add($newPassword).add($repeatedPassword).keyup(function () {
                            if ($resetToken.val() === "" || $newPassword.val() === "" || $repeatedPassword.val() === "") {
                                $submitButton.addClass("ui-disabled");
                                return;
                            }
                            if ($newPassword.val() !== $repeatedPassword.val()) {
                                $submitButton.addClass("ui-disabled");
                                $error.text(_this.language.transl(Model.TranslKeys.passwordsMismatch)).show();
                                return;
                            }
                            $error.hide();
                            $submitButton.removeClass("ui-disabled");
                        });
                        $submitButton.click(function () {
                            Utils.showLoader();
                            var params = _this.oDataClient.createParameterCollection();
                            params.add("usr_id", $username.val());
                            params.add("reset_token", $resetToken.val());
                            params.add("new_password", $newPassword.val());
                            _this.oDataClient.invoke("$resetPassword", "POST", params, function (reader, status) {
                                if (status.requestSuccess) {
                                    _super.prototype.onChangedSuccess.call(_this);
                                    return;
                                }
                                _super.prototype.onChangedError.call(_this);
                            });
                        });
                        return [2 /*return*/];
                }
            });
        });
    };
    return ForgotPasswordForm;
}(PasswordModifyingForm));
var ChangePasswordForm = /** @class */ (function (_super) {
    __extends(ChangePasswordForm, _super);
    function ChangePasswordForm() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ChangePasswordForm.prototype.initialize = function (useAuthentication) {
        return __awaiter(this, void 0, void 0, function () {
            var _this = this;
            var header, $currentPassword, $newPassword, $repeatedPassword, $submitButton, $error;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, _super.prototype.initialize.call(this, useAuthentication)];
                    case 1:
                        _a.sent();
                        header = this.$page.children("div[data-role='header']");
                        header.children("h1").text(this.language.transl(Model.TranslKeys.changePassword));
                        $currentPassword = this.$panel.find("#current-password");
                        $currentPassword.parent().parent().show();
                        $newPassword = this.$panel.find("#new-password");
                        $repeatedPassword = this.$panel.find("#repeat-new-password");
                        $submitButton = this.$panel.find(".submit-button");
                        $error = this.$panel.find("#error");
                        $currentPassword.add($newPassword).add($repeatedPassword).keyup(function () {
                            if ($currentPassword.val() === "" || $newPassword.val() === "" || $repeatedPassword.val() === "") {
                                $submitButton.addClass("ui-disabled");
                                return;
                            }
                            if ($currentPassword.val() === $newPassword.val()) {
                                $submitButton.addClass("ui-disabled");
                                $error.text(_this.language.transl(Model.TranslKeys.newPasswordIsTheSame)).show();
                                return;
                            }
                            if ($newPassword.val() !== $repeatedPassword.val()) {
                                $submitButton.addClass("ui-disabled");
                                $error.text(_this.language.transl(Model.TranslKeys.passwordsMismatch)).show();
                                return;
                            }
                            $error.hide();
                            $submitButton.removeClass("ui-disabled");
                        });
                        $submitButton.click(function () {
                            Utils.showLoader();
                            var params = _this.oDataClient.createParameterCollection();
                            params.add("usr_id", Model.TSFApplicationManager.Current.user.username);
                            params.add("old_password", $currentPassword.val());
                            params.add("new_password", $newPassword.val());
                            _this.oDataClient.invoke("$changePassword", "POST", params, function (reader, status) {
                                if (status.requestSuccess) {
                                    _super.prototype.onChangedSuccess.call(_this, true);
                                    return;
                                }
                                _super.prototype.onChangedError.call(_this);
                            });
                        });
                        return [2 /*return*/];
                }
            });
        });
    };
    return ChangePasswordForm;
}(PasswordModifyingForm));
